Skip to main content
POST
/
connections
Create connection
curl --request POST \
  --url https://api.bundleup.io/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "integrationId": "<string>",
  "authToken": "<string>",
  "externalId": "<string>",
  "refreshToken": "<string>",
  "expiresIn": 123
}
'
{
  "id": "<string>",
  "externalId": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z",
  "integrationId": "<string>",
  "isValid": true,
  "refreshAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass the API key as a bearer token.

Body

application/json
integrationId
string
required

Integration ID to associate with the connection.

authToken
string
required

Provider access token.

externalId
string

External account identifier.

refreshToken
string

Provider refresh token.

expiresIn
number

Access token lifetime in seconds.

Response

Connection created successfully.

id
string
required

Connection identifier.

externalId
string | null
required

External system identifier.

expiresAt
string<date-time> | null
required

Expiration timestamp for the access token.

integrationId
string
required

Integration ID associated with the connection.

isValid
boolean
required

Whether the connection is currently valid.

refreshAt
string<date-time> | null
required

Timestamp when the connection should be refreshed.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required